Bug 971397 - [upgrade]openshift-console service is not enabled by chkconfig
[upgrade]openshift-console service is not enabled by chkconfig
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Pod (Show other bugs)
1.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: John W. Lamb
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 08:31 EDT by Johnny Liu
Modified: 2017-03-08 12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 11:47:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2013-06-06 08:31:43 EDT
Description of problem:
After upgrade, openshift-console service is not enabled by chkconfig.

Version-Release number of selected component (if applicable):
1.2/2013-06-05.9

How reproducible:
Always

Steps to Reproduce:
1. Setup ose-1.1.3 env
2. Make sure openshift-console is enabled by chkconfig
3. Following http://etherpad.corp.redhat.com/OSE-1-2-upgrade-notes to do upgrade testing
4. After upgrade, check if openshift-console is enabled by chkconfig

Actual results:
openshift-console is not enabled

Expected results:
openshift-console should be enabled.

Additional info:
Comment 2 Luke Meyer 2013-06-06 16:42:31 EDT
Good catch, needs to be added to broker conf steps.

I think what happened is openshift-origin-console obsoleted openshift-console. When the latter was removed it removed the openshift-console service. Then when the former was added it doesn't chkconfig on by default, need to do that explicitly.
Comment 3 John W. Lamb 2013-06-07 16:37:59 EDT
Customers may want the console disabled; the most correct behavior would be to check if openshift-console is chkconfig on prior to the upgrade, then restore that state during upgrade completion.
Comment 4 John W. Lamb 2013-06-11 16:02:33 EDT
This bug has been addressed with this merge: https://github.com/openshift/enterprise/commit/31fb35f9a2769a29b3d94f6f3107e377f2634daa
Comment 5 Gaoyun Pei 2013-06-14 03:43:48 EDT
Verify this against puddle:
http://buildvm-devops.usersys.redhat.com/puddle/build/OpenShiftEnterprise/1.2/2013-06-13.1/

Setup an OSE env using puddle 1.1.z/2013-06-11.2. Then update this env to puddle 1.2/2013-06-13.1.
Check the status of openshift-console service using chkconfig
[root@broker ~]# chkconfig --list openshift-console
openshift-console	0:off	1:off	2:on	3:on	4:on	5:on	6:off

The 2/3/4/5 level are all set as on, so verify this bug.
Comment 6 Luke Meyer 2013-06-28 11:47:13 EDT
Closing all bugs introduced, fixed, and verified during 1.2 release work (thus never shipped).

Note You need to log in before you can comment on or make changes to this bug.